PointValues.Relation (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, class: PointValues, enum: Relation

Package org.apache.lucene.index

# Enum Class PointValues.Relation

java.lang.Object
java.lang.Enum<PointValues.Relation>
org.apache.lucene.index.PointValues.Relation

All Implemented Interfaces:
  `Serializable`, `Comparable<PointValues.Relation>`, `Constable`

Enclosing class:
  `PointValues`

public static enum PointValues.Relation extends Enum<PointValues.Relation>
Used by `PointValues.intersect(org.apache.lucene.index.PointValues.IntersectVisitor)` to check how each recursive cell corresponds to the query.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL_CROSSES_QUERY`
  Return this if the cell partially overlaps the query
  `CELL_INSIDE_QUERY`
  Return this if the cell is fully contained by the query
  `CELL_OUTSIDE_QUERY`
  Return this if the cell and query do not overlap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PointValues.Relation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PointValues.Relation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CELL_INSIDE_QUERY

    public static final PointValues.Relation CELL_INSIDE_QUERY
    Return this if the cell is fully contained by the query

  - ### CELL_OUTSIDE_QUERY

    public static final PointValues.Relation CELL_OUTSIDE_QUERY
    Return this if the cell and query do not overlap

  - ### CELL_CROSSES_QUERY

    public static final PointValues.Relation CELL_CROSSES_QUERY
    Return this if the cell partially overlaps the query

- ## Method Details

  - ### values

    public static PointValues.Relation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PointValues.Relation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null